import type { APIRoute } from 'astro'
import { buildRFC7807 } from '../../../../libs/RFCs/RFC7807'
import StatusCode from '../../../../libs/StatusCode'

export const get: APIRoute = async ({ locals }) => {
	return locals.responseBuilder
		.status(200)
		.body({iam: true})
		.build()
}

export const options: APIRoute = async () => {
	return buildRFC7807({
		status: StatusCode.METHOD_NOT_ALLOWED,
		details: 'Allowed methods: "GET"'
	})
}
